Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class InputStreamReader

    java.lang.Object
      |
      +--java.io.Reader
            |
            +--java.io.InputStreamReader

public class InputStreamReader
extends Reader

An InputStreamReader is a bridge from byte streams to character streams: It reads bytes and translates them into characters according to a specified character encoding. The encoding that it uses may be specified by name, or the platform's default encoding may be accepted.

Each invocation of one of an InputStreamReader's read() methods may cause one or more bytes to be read from the underlying byte-input stream. To enable the efficient conversion of bytes to characters, more bytes may be read ahead from the underlying stream than are necessary to satisfy the current read operation.

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`InputStreamReader(InputStream is)` Create an InputStreamReader that uses the default character encoding.
`InputStreamReader(InputStream is, String enc)` Create an InputStreamReader that uses the named character encoding.

Method Summary
`void` | `close()` Close the stream.
`void` | `mark(int readAheadLimit)` Mark the present position in the stream.
`boolean` | `markSupported()` Tell whether this stream supports the mark() operation.
`int` | `read()` Read a single character.
`int` | `read(char[] cbuf, int off, int len)` Read characters into a portion of an array.
`boolean` | `ready()` Tell whether this stream is ready to be read.
`void` | `reset()` Reset the stream.
`long` | `skip(long n)` Skip characters.

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputStreamReader

    public InputStreamReader(InputStream is)

  Create an InputStreamReader that uses the default character encoding.
  Parameters:
    `in` - An InputStream

### InputStreamReader

    public InputStreamReader(InputStream is,
                             String enc)
                      throws UnsupportedEncodingException

  Create an InputStreamReader that uses the named character encoding.
  Parameters:
    `in` - An InputStream
    `enc` - The name of a supported
  Throws:
    UnsupportedEncodingException - If the named encoding is not supported

Method Detail

### read

    public int read()
             throws IOException

  Read a single character.
  Overrides:
    read in class Reader
  Throws:
    IOException - If an I/O error occurs

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Read characters into a portion of an array.
  Overrides:
    read in class Reader
  Throws:
    IOException - If an I/O error occurs

### skip

    public long skip(long n)
              throws IOException

  Skip characters.
  Overrides:
    skip in class Reader
  Throws:
    IOException - If an I/O error occurs

### ready

    public boolean ready()
                  throws IOException

  Tell whether this stream is ready to be read.
  Overrides:
    ready in class Reader
  Throws:
    IOException - If an I/O error occurs

### markSupported

    public boolean markSupported()

  Tell whether this stream supports the mark() operation.
  Overrides:
    markSupported in class Reader
  Tags copied from class: Reader
  Returns:
    true if and only if this stream supports the mark operation.

### mark

    public void mark(int readAheadLimit)
              throws IOException

  Mark the present position in the stream.
  Overrides:
    mark in class Reader
  Throws:
    IOException - If an I/O error occurs

### reset

    public void reset()
               throws IOException

  Reset the stream.
  Overrides:
    reset in class Reader
  Throws:
    IOException - If an I/O error occurs

### close

    public void close()
               throws IOException

  Close the stream.
  Overrides:
    close in class Reader
  Throws:
    IOException - If an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 0.95 of MID Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.